Skip to main content
GET
/
time-entry
/
task
/
{taskId}
Get Task Time Entries
curl --request GET \
  --url https://cloud.kaneo.app/api/time-entry/task/{taskId} \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "taskId": "<string>",
    "userId": "<string>",
    "description": "<string>",
    "startTime": "2023-11-07T05:31:56Z",
    "duration": 123,
    "createdAt": "2023-11-07T05:31:56Z",
    "endTime": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

taskId
string
required

Response

200 - application/json

List of time entries for the task

id
string
required
taskId
string
required
userId
string | null
required
description
string | null
required
startTime
string<date-time>
required
duration
number | null
required
createdAt
string<date-time>
required
endTime
string<date-time>